# Needed Colours
- accent_colour_1
- accent_colour_2
- accent_colour_3
- primary_colour
- background_colour
- shadow_colour
- inactive_colour

# TODO
- [ ] Astal
    - [ ] Bar
    - [ ] Notifications
    - [ ] Quick controls
    - [ ] Wlogout replacement
    - [ ] Media controls
    - [ ] AppLauncher (possibly, if anyrun is no good)
    - [ ] OSD (see [here](https://github.com/Aylur/astal/tree/main/examples/gtk3/js))
- [ ] Text recognition
- [ ] Theming
    - [ ] GTK
    - [ ] QT 
    - [ ] Librewolf
    - [ ] Astal
    - [ ] Hyprland
    - [ ] Rofi
    - [ ] nvim
    - [ ] yazi
    - [ ] kitty
    - [ ] DisplayManager
    - [ ] Cursor (maybe stick with oreo cursor, or otherwise find good replacement)
- [ ] Rofi
    - [ ] Spotlight-Search (or replace with anyrun)
    - [ ] Wallpaper selector (that automatically triggers the theming script)
- [ ] Hyprland
    - [ ] Keybinds: Resize window, move window, open calculator, plus more programs
    - [ ] Read docs
    - [ ] battery management
- [ ] Programs
    - [ ] New image viewer
    - [ ] Other pdf reader (maybe)
    - [ ] Maybe TUI archive manager (felix-rs)
- [ ] Lazygit: Configure
- [ ] Nvim (other repo)
    - [ ] Replace notification handler
- [ ] Yazi
    - [ ] More keybinds
    - [ ] Configure
    - [ ] Drag and drop support?
    - [ ] Check out plugins
- [ ] SDDM
    - [ ] Replace with LightDM or ensure theming works, but prefer replacing
- [ ] Scripts
    - [ ] Installer (after the basic OS setup is done (= from chroot onwards))
    - [ ] Theming script
    - [ ] Instaler for configs
    - [ ] Vivado cleanup (run after vivado and hope vivado is blocking)
    - [ ] migrate to zoxide from autojump
